# (aco) Needed for the dri drivers
%define _disable_ld_no_undefined 1

# Hack required when linking libllvmpipe.a
# FIXME remove/comment if build succeeds without it (linker kludge...)
%define _disable_ld_as_needed 1

%define build_plf 0
%define with_hardware 1

%define git	0
%define relc	0

%bcond_without vdpau
# va backend is currently unmaintained and broken
%bcond_with va

%if %{relc}
%define vsuffix -rc%{relc}
%else
%define vsuffix %nil
%endif

%define eglmajor		1
%define eglname			egl
%define libeglname		%mklibname %{eglname} %{eglmajor}
%define develegl		%mklibname %{eglname} -d

%define glmajor			1
%define glname			gl
%define libglname		%mklibname %{glname} %{glmajor}
%define develgl			%mklibname %{glname} -d

%define glesv1major		1
%define glesv1name		glesv1
%define libglesv1name		%mklibname %{glesv1name}_ %{glesv1major}
%define develglesv1		%mklibname %{glesv1name} -d

%define glesv2major		2
%define glesv2name		glesv2
%define libglesv2name		%mklibname %{glesv2name}_ %{glesv2major}
%define develglesv2		%mklibname %{glesv2name} -d

%define openvgmajor		1
%define openvgname		openvg
%define libopenvgname		%mklibname %{openvgname} %{openvgmajor}
%define developenvg		%mklibname %{openvgname} -d

%define glapimajor		0
%define glapiname		glapi
%define libglapiname		%mklibname %{glapiname} %{glapimajor}
%define develglapi		%mklibname %{glapiname} -d

%define gbmmajor		1
%define gbmname			gbm
%define libgbmname		%mklibname %gbmname %gbmmajor
%define develgbm		%mklibname %gbmname -d

%define xatrackermajor		1
%define xatrackername		xatracker
%define libxatrackername	%mklibname %xatrackername %xatrackermajor
%define develxatracker		%mklibname %xatrackername -d

%define dridrivers		%mklibname dri-drivers

%define libvadrivers		%mklibname libva-drivers

%define mesasrcdir		%{_prefix}/src/Mesa/
%define driver_dir		%{_libdir}/dri

#FIXME: (for 386/485) unset SSE, MMX and 3dnow flags
#FIXME: (for >=i586)  disable sse
#       SSE seems to have problem on some apps (gtulpas) for probing.
%define	dri_drivers_i386	"i915,i965,nouveau,r200,radeon,swrast"
%define	dri_drivers_x86_64	%{dri_drivers_i386}
%define	dri_drivers_ppc		"r200,radeon,swrast"
%define	dri_drivers_ppc64	""
%define	dri_drivers_ia64	"i915,i965,r200,radeon,swrast"
%define	dri_drivers_alpha	"r200,radeon,swrast"
%define	dri_drivers_sparc	"ffb,radeon,swrast"
%define dri_drivers_mipsel	"r200,radeon"
%define dri_drivers_arm		"swrast"
%ifarch	%{arm}
%define	dri_drivers		%{expand:%{dri_drivers_arm}}
%else
%define	dri_drivers		%{expand:%{dri_drivers_%{_arch}}}
%endif

Name:		mesa
Version: 	9.0
%if %relc
%if %git
Release:	0.rc%relc.0.%git.2
%else
Release:	0.rc%relc.2
%endif
%else
%if %git
Release:	0.%git.2
%else
Release:	2
%endif
%endif
Summary:	OpenGL 3.0 compatible 3D graphics library
Group:		System/Libraries

License:	MIT
URL:		http://www.mesa3d.org
%if %{git}
# (cg) Current commit ref: origin/master
Source0:	%{name}-%{git}.tar.xz
%else
Source0:	ftp://ftp.freedesktop.org/pub/mesa/%version/MesaLib-%{version}%{vsuffix}.tar.bz2
%endif
Source3:	make-git-snapshot.sh
Source5:	mesa-driver-install

# Instructions to setup your repository clone
# git://git.freedesktop.org/git/mesa/mesa
# git checkout master
# git branch mdv-cherry-picks
# git am ../02??-*.patch
# git branch mdv-redhat
# git am ../03??-*.patch
# git branch mdv-patches
# git am ../09??-*.patch

# In order to update to the branch via patches, issue this command:
# git format-patch --start-number 100 mesa_7_5_1..mesa_7_5_branch | sed 's/^0\([0-9]\+\)-/Patch\1: 0\1-/'

# Cherry picks
# git format-patch --start-number 200 mesa_7_5_branch..mdv-cherry-picks

# Patches "liberated" from Fedora:
# http://cvs.fedoraproject.org/viewvc/rpms/mesa/devel/
# git format-patch --start-number 300 mdv-cherry-picks..mdv-redhat

# Mandriva & Mageia patches
Patch900: 0900-Mips-support.patch
Patch901: Mesa-8.0.1-libva-0.32.patch
Patch902: mesa-9.0-missing-include.patch

BuildRequires:	flex
BuildRequires:	bison
BuildRequires:	llvm-devel
BuildRequires:	expat-devel >= 2.0.1
BuildRequires:	gccmakedep
BuildRequires:	makedepend
BuildRequires:	x11-proto-devel >= 7.3
BuildRequires:	libxml2-python
BuildRequires:	pkgconfig(libdrm) >= 2.4.21
BuildRequires:  pkgconfig(libudev) >= 186
BuildRequires:	pkgconfig(talloc)
BuildRequires:	pkgconfig(xfixes)	>= 4.0.3
BuildRequires:	pkgconfig(xt)		>= 1.0.5
BuildRequires:	pkgconfig(xmu)		>= 1.0.3
BuildRequires:	pkgconfig(x11)		>= 1.3.3
BuildRequires:	pkgconfig(xdamage)	>= 1.1.1
BuildRequires:	pkgconfig(xext)		>= 1.1.1
BuildRequires:	pkgconfig(xxf86vm)	>= 1.1.0
BuildRequires:	pkgconfig(xi)		>= 1.3
BuildRequires:	pkgconfig(xorg-server)	>= 1.11.0
BuildRequires:	pkgconfig(xvmc)
%if %{with vdpau}
BuildRequires:	pkgconfig(vdpau)	>= 0.4.1
%endif
%if %{with va}
BuildRequires:	pkgconfig(libva)	>= 0.31.0
%endif

# package mesa
Requires:	%{libglname} = %{version}-%{release}

#------------------------------------------------------------------------------

%package -n	%{dridrivers}
Summary:	Mesa DRI drivers
Group:		System/Libraries
Conflicts:	%{_lib}MesaGL1 < 7.7-5
%rename %{_lib}dri-drivers-experimental

%package -n	%{libvadrivers}
Summary:	Mesa libVA video acceleration drivers
Group:		System/Libraries

%package -n	%{libglname}
Summary:	Files for Mesa (GL and GLX libs)
Group:		System/Libraries
Provides:	libmesa%{glname} = %{version}-%{release}
Requires:	%{dridrivers} >= %{version}-%{release}
%if %{build_plf}
Requires:	%mklibname txc-dxtn
%endif
Obsoletes:	%{_lib}mesagl1 < 8.0

%package -n	%{develgl}
Summary:	Development files for Mesa (OpenGL compatible 3D lib)
Group:		Development/C
Requires:	%{libglname} = %{version}-%{release}
Provides:	libmesa%{glname}-devel = %{version}-%{release}
Provides:	mesa%{glname}-devel = %{version}-%{release}
Provides:	GL-devel
Obsoletes:	%{_lib}mesagl1-devel < 8.0

%package -n	%{libeglname}
Summary:	Files for Mesa (EGL libs)
Group:		System/Libraries
Obsoletes:	%{_lib}mesaegl1 < 8.0

%package -n	%{develegl}
Summary:	Development files for Mesa (EGL libs)
Group:		Development/C
Requires:	%{libeglname} = %{version}-%{release}
Provides:	lib%{eglname}-devel
Obsoletes:	%{_lib}mesaegl1-devel < 8.0

%package -n %{libglapiname}
Summary:	Files for mesa (glapi libs)
Group:		System/Libraries

%package -n %{develglapi}
Summary:	Development files for glapi libs
Group:		Development/C
Obsoletes:	%{_lib}glapi0-devel < 8.0

%package -n %{libgbmname}
Summary:	Files for mesa (gbm libs)
Group:		System/Libraries

%package -n %{develgbm}
Summary:	Development files for gbm libs
Group:		Development/C

%package -n %{libxatrackername}
Summary:	Files for mesa (xatracker libs)
Group:		System/Libraries

%package -n %{develxatracker}
Summary:	Development files for xatracker libs
Group:		Development/C

%package -n %{libglesv1name}
Summary:	Files for Mesa (glesv1 libs)
Group:		System/Libraries
Obsoletes:	%{_lib}mesaglesv1_1 < 8.0

%package -n %{develglesv1}
Summary:	Development files for glesv1 libs
Group:		Development/C
Requires:	%{libglesv1name} = %{version}-%{release}
Provides:	lib%{glesv1name}-devel
Obsoletes:	%{_lib}mesaglesv1_1-devel < 8.0

%package -n %{libglesv2name}
Summary:	Files for Mesa (glesv2 libs)
Group:		System/Libraries
Obsoletes:	%{_lib}mesaglesv2_2 < 8.0

%package -n %{develglesv2}
Summary:	Development files for glesv2 libs
Group:		Development/C
Requires:	%{libglesv2name} = %{version}-%{release}
Provides:	lib%{glesv2name}-devel
Obsoletes:	%{_lib}mesaglesv2_2-devel < 8.0

%package -n %{libopenvgname}
Summary:	Files for MESA (OpenVG libs)
Group:		System/Libraries
Obsoletes:	%{_lib}mesaopenvg1 < 8.0

%package -n %{developenvg}
Summary:	Development files vor OpenVG libs
Group:		Development/C
Requires:	%{libopenvgname} = %{version}-%{release}
Provides:	lib%{openvgname}-devel
Obsoletes:	%{_lib}mesaopenvg1-devel < 8.0

%package	common-devel
Summary:	Meta package for mesa devel
Group:		Development/C
Requires:	%{develegl} = %{version}
Requires:	%{develglapi} = %{version}
Requires:	%develgbm = %version
Requires:	%{develxatracker} = %{version}
Requires:	freeglut-devel
Requires:	%{develgl} = %{version}
Requires:	%{develglesv1} = %{version}
Requires:	%{develglesv2} = %{version}

#------------------------------------------------------------------------------

%description
Mesa is an OpenGL 3.0 compatible 3D graphics library.

%if %{build_plf}
This package is in the restricted repository because it enables some
OpenGL extentions that are covered by software patents.
%endif

%description -n %{dridrivers}
Mesa is an OpenGL 3.0 compatible 3D graphics library.
DRI drivers.

%description -n %{libvadrivers}
Mesa is an OpenGL 3.0 compatible 3D graphics library.
libVA drivers for video acceleration

%description common-devel
Mesa common metapackage devel

%description -n %{libeglname}
Mesa is an OpenGL 3.0 compatible 3D graphics library.
EGL parts.

%description -n %{develegl}
Mesa is an OpenGL 3.0 compatible 3D graphics library.
EGL development parts.

%description -n %{libglname}
Mesa is an OpenGL 3.0 compatible 3D graphics library.
GL and GLX parts.

%description -n %{develgl}
Mesa is an OpenGL 3.0 compatible 3D graphics library.

This package contains the headers needed to compile Mesa programs.

%description -n %{libglapiname}
This package provides the glapi shared library used by gallium.

%description -n %{develglapi}
This package contains the headers needed to compile programs against
the glapi shared library.

%description -n %{libgbmname}
This package provides the gbm shared library used by gallium.

%description -n %{develgbm}
This package contains the headers needed to compile programs against
the gbm shared library.

%description -n %{libxatrackername}
This package provides the xatracker shared library used by gallium.

%description -n %{develxatracker}
This package contains the headers needed to compile programs against
the xatracker shared library.

%description -n %{libglesv1name}
OpenGL ES is a low-level, lightweight API for advanced embedded graphics using
well-defined subset profiles of OpenGL.

This package provides the OpenGL ES library version 1.

%description -n %{develglesv1}
This package contains the headers needed to compile OpenGL ES 1 programs.

%description -n %{libglesv2name}
OpenGL ES is a low-level, lightweight API for advanced embedded graphics using
well-defined subset profiles of OpenGL.

This package provides the OpenGL ES library version 2.

%description -n %{develglesv2}
This package contains the headers needed to compile OpenGL ES 2 programs.

%description -n %{libopenvgname}
OpenVG is a royalty-free, cross-platform API that provides a low-level hardware
acceleration interface for vector graphics libraries such as Flash and SVG.

%description -n %{developenvg}
Development files for OpenVG library.

#------------------------------------------------------------------------------

%prep
%if %{git}
%setup -qn mesa
%else
%setup -qn Mesa-%{version}%{vsuffix}
%endif

%apply_patches
chmod +x %{SOURCE5}

%if %{git}
./autogen.sh -v
%else
# Needed after vaapi 0.32 support patch
libtoolize --force
aclocal
automake -a
autoconf
%endif

%build

# Replacing --disable-glx-tls with --enable-glx-tls
# below would be good - but unfortunately it seems to
# break the nvidia binary-only driver.
%configure2_5x \
	--with-dri-driverdir=%{driver_dir} \
	--with-dri-drivers="%{dri_drivers}" \
	--enable-egl \
	--enable-dri \
	--enable-gbm \
	--enable-shared-glapi \
	--enable-glx \
	--enable-xorg \
	--enable-xa \
	--enable-xvmc \
%if %{with vdpau}
	--enable-vdpau \
%else
	--disable-vdpau \
%endif
%if %{with va}
	--enable-va \
%else
	--disable-va \
%endif
	--enable-gles1 \
	--enable-gles2 \
	--enable-openvg \
	--enable-gallium-egl \
	--disable-glx-tls \
	--enable-gallium-g3dvl \
%if %{with_hardware}
	--with-gallium-drivers=svga,i915,r300,r600,nouveau,swrast \
   	--enable-gallium-llvm \
%else
   	--disable-gallium-llvm \
   	--with-gallium-drivers=swrast \
%endif
%if %{build_plf}
   	--enable-texture-float
%endif

%make

%install
rm -rf %{buildroot}
%makeinstall_std

# (blino) hardlink libGL files in %{_libdir}/mesa
# to prevent proprietary driver installers from removing them
mkdir -p %{buildroot}%{_libdir}/mesa
pushd %{buildroot}%{_libdir}/mesa
for l in ../libGL.so.*; do cp -a $l .; done
popd

%ifarch %{x86_64}
mkdir -p %{buildroot}%{_prefix}/lib/dri
%endif

# use swrastg if built (Anssi 12/2011)
[ -e %{buildroot}%{_libdir}/dri/swrastg_dri.so ] && mv %{buildroot}%{_libdir}/dri/swrast{g,}_dri.so

#------------------------------------------------------------------------------

%files
%doc docs/COPYING docs/README.*

%files -n %{dridrivers}
%config(noreplace) %_sysconfdir/drirc
%ifnarch ppc64
%dir %{_libdir}/dri
%{_libdir}/dri/*_dri.so
%{_libdir}/libdricore9.0.0.so.*
%{_libdir}/libXvMCnouveau.so.*
%{_libdir}/libXvMCr300.so.*
%{_libdir}/libXvMCr600.so.*
%{_libdir}/libXvMCsoftpipe.so.*
%if %{with vdpau}
%{_libdir}/vdpau/libvdpau_nouveau.so*
%{_libdir}/vdpau/libvdpau_r300.so*
%{_libdir}/vdpau/libvdpau_r600.so*
%{_libdir}/vdpau/libvdpau_softpipe.so*
%endif
%{_libdir}/xorg/modules/drivers/i915_drv.so
%{_libdir}/xorg/modules/drivers/nouveau2_drv.so
%{_libdir}/xorg/modules/drivers/r300_drv.so
%{_libdir}/xorg/modules/drivers/r600g_drv.so
%endif

%if %{with va}
%files -n %{libvadrivers}
%{_libdir}/va/lib*.so*
%endif

%files -n %{libglname}
%{_libdir}/libGL.so.*
%dir %{_libdir}/mesa
%{_libdir}/mesa/libGL.so.%{glmajor}*

%files -n %{libeglname}
%{_libdir}/libEGL.so.%{eglmajor}*
%dir %{_libdir}/egl
%{_libdir}/egl/egl_gallium.so

%files -n %{libglapiname}
%{_libdir}/libglapi.so.%{glapimajor}*

%files -n %libgbmname
%{_libdir}/libgbm.so.%{gbmmajor}*

%files -n %{libxatrackername}
%{_libdir}/libxatracker.so.%{xatrackermajor}*

%files -n %{libglesv1name}
%{_libdir}/libGLESv1_CM.so.%{glesv1major}*

%files -n %{libglesv2name}
%{_libdir}/libGLESv2.so.%{glesv2major}*

%files -n %{libopenvgname}
%{_libdir}/libOpenVG.so.%{openvgmajor}*

%files -n %{develgl}
%{_includedir}/GL/gl.h
%{_includedir}/GL/glext.h
%{_includedir}/GL/gl_mangle.h
%{_includedir}/GL/osmesa.h
%{_includedir}/GL/wglext.h
%{_includedir}/GL/glx.h
%{_includedir}/GL/glxext.h
%{_includedir}/GL/glx_mangle.h
%{_libdir}/libdricore9.0.0.so
%{_libdir}/libGL.so
%{_libdir}/libXvMC*.so
%{_libdir}/pkgconfig/gl.pc
%{_libdir}/pkgconfig/dri.pc

#FIXME: check those headers
%{_includedir}/GL/vms_x_fix.h
%{_includedir}/GL/wmesa.h
%dir %{_includedir}/GL/internal
%{_includedir}/GL/internal/dri_interface.h

%files common-devel
# meta devel pkg

%files -n %{develegl}
%{_includedir}/EGL
%{_includedir}/KHR
%{_libdir}/libEGL.so
%{_libdir}/pkgconfig/egl.pc

%files -n %{develglapi}
%{_libdir}/libglapi.so

%files -n %{develgbm}
%{_libdir}/libgbm.so
%_includedir/gbm.h
%_libdir/pkgconfig/gbm.pc

%files -n %{develxatracker}
%{_libdir}/libxatracker.so
%{_includedir}/xa_*.h
%{_libdir}/pkgconfig/xatracker.pc

%files -n %{develglesv1}
%{_includedir}/GLES
%{_libdir}/libGLESv1_CM.so
%{_libdir}/pkgconfig/glesv1_cm.pc

%files -n %{develglesv2}
%{_includedir}/GLES2
%{_libdir}/libGLESv2.so
%{_libdir}/pkgconfig/glesv2.pc

%files -n %{developenvg}
%{_includedir}/VG
%{_libdir}/libOpenVG.so
%{_libdir}/pkgconfig/vg.pc



%changelog
* Tue Oct 09 2012 Bernhard Rosenkraenzer <bero@bero.eu> 9.0-2
+ Revision: 818771
- Update to 9.0 final

* Fri Oct 05 2012 Paulo Andrade <pcpa@mandriva.com.br> 9.0-0.20121003.2
+ Revision: 818499
- Add kludge to link libllvmpipe

  + Bernhard Rosenkraenzer <bero@bero.eu>
    - Update to current
    - Update to current 9.0 branch, needed for xorg 1.13, qt 5, etc.

* Wed Sep 12 2012 Bernhard Rosenkraenzer <bero@bero.eu> 8.0.4-5
+ Revision: 816809
- Build libgbm

  + Andrey Bondrov <abondrov@mandriva.org>
    - Fix unversioned Obsoletes, adjust spec cosmetics

* Thu Jul 12 2012 Bernhard Rosenkraenzer <bero@bero.eu> 8.0.4-3
+ Revision: 808969
- Update to 8.0.4

* Mon Jul 09 2012 Tomasz Pawel Gajc <tpg@mandriva.org> 8.0.3-3
+ Revision: 808679
- rebuild against new udev >= 186

* Wed May 23 2012 Bernhard Rosenkraenzer <bero@bero.eu> 8.0.3-2
+ Revision: 800240
- Rebuild - libglesv1_1 wasn't picked up

* Sun May 20 2012 Bernhard Rosenkraenzer <bero@bero.eu> 8.0.3-1
+ Revision: 799737
- Update to 8.0.3

* Thu Mar 22 2012 Bernhard Rosenkraenzer <bero@bero.eu> 8.0.2-2
+ Revision: 786088
- Re-enable VDPAU and VA

* Thu Mar 22 2012 Bernhard Rosenkraenzer <bero@bero.eu> 8.0.2-1
+ Revision: 786084
- Add bcond_with vdpau and va, disable temporarily to reduce build dependencies
- Update to 8.0.2
- Provide libglsl
- Manually provide libdricore.so as it lives in %%_libdir/dri

* Mon Mar 19 2012 Bernhard Rosenkraenzer <bero@bero.eu> 8.0.1-4
+ Revision: 785753
- Disable GLX TLS support to fix the nvidia binary driver

* Tue Mar 06 2012 Bernhard Rosenkraenzer <bero@bero.eu> 8.0.1-3
+ Revision: 782323
- Get rid of devel dependencies in dri-drivers

* Mon Mar 05 2012 Bernhard Rosenkraenzer <bero@bero.eu> 8.0.1-2
+ Revision: 782281
- Patch for compatibility with libva 0.32; build VA support
  for gallium

* Mon Mar 05 2012 Bernhard Rosenkraenzer <bero@bero.eu> 8.0.1-1
+ Revision: 782253
- Add BuildRequires: pkgconfig(vdpau)
- Add BuildRequires: pkgconfig(xvmc)
- Add BuildRequires: pkgconfig(xorg-server)
- Update to 8.0.1

* Thu Dec 29 2011 Matthew Dawkins <mattydaw@mandriva.org> 7.11.2-2
+ Revision: 748220
- rebuild for new llvm (thanks to pcpa)
- removed old pre 2007 obsolotes, conflicts provides
- dropped major from all devel pkgs
- renamed libs & devel to proper names (dropping mesa from name)
- dropped all worthless virtual provides and merged where needed
- cleaned up spec

* Wed Dec 28 2011 Matthew Dawkins <mattydaw@mandriva.org> 7.11.2-1
+ Revision: 746091
- sync'd spec with mga (did not enable freeglut)
  	- fix crash with nouveau when opening an image in gwenview 4.7.90
  	- (nv50-nvc0-use-screen-instead-of-context-for-flush-notifier.patch from
  	- upstream git master)
  	- add upstream patch to build with llvm 3.0
  	- build with shared dricore to make DRI driver binaries smaller
- added patches from mga for llvm3.0 & gwenview segfault
- added new 7.11.2 sources
- prep spec for new version 7.11.2
- cleaned up spec
- added arm support

* Tue Jun 14 2011 Eugeni Dodonov <eugeni@mandriva.com> 7.10.3-1
+ Revision: 684977
- Missing flex BR
- New version 7.10.3

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Rediff and reapply patch to prevent salome segfault.

* Thu Jun 09 2011 Eugeni Dodonov <eugeni@mandriva.com> 7.10.2-2
+ Revision: 683515
- New version 7.10.2.
  P0906: fix crash when leaving fullscreen on i965.

* Tue Apr 19 2011 Alexandre Lissy <alissy@mandriva.com> 7.10.1-3
+ Revision: 656002
- Fix erroneous enabling of gallium for radeon & r600

* Tue Apr 19 2011 Alexandre Lissy <alissy@mandriva.com> 7.10.1-2
+ Revision: 655914
- Updating mesa to compile with latest nouveau versions, thanks to Fedora's patches

  + Paulo Ricardo Zanoni <pzanoni@mandriva.com>
    - New version: 7.10.1
    - Remove patch200 (applied upstream)
    - Fix typo in libglesv1 description
    - Fix "%%endif" placement
      Thanks to Giovanni Mariani
      CCBUG:62331

* Thu Jan 13 2011 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 7.10-1
+ Revision: 631008
- Add patch200 to prevent X from crashing with r300+UMS
- Add "generic" provides to libs
- Fix glut-devel requires
- libgl-devel shouldn't require mesa, it should require libgl
- Add OpenVG packages
- New version: 7.10
- More spec file cleanup
- fix egl-devel provides/requires
- move egl sections, now closer to the other "small libs"
- remove patch 301: we don't apply it anymore, Fedora is not applying it too,
  and it's not a need. We should get as close as upstream as possible. This was
  discussed some time ago.
- add/fix EGL packages
- add OpenGL ES 1 packages
- add OpenGL ES 2 packages (for chromium and future)
- remove comment from patch that doesn't exist
- remove "ldconfig" lines for older mdv versions: if we ever backport Mesa to
  such an old version, we can add ldconfig to the backported version
- remove EGL switch
- fix some tab/space confusion
- move egl %%files sections to better places
- move gl %%files sections to better places
- add "majors" do %%files definitions
- move pkgconfig files to the right places (and add proper Conflicts)
- add more packages to mesa-common-devel
- Add patch to fix compilation with new libdrm

* Sat Nov 20 2010 Paulo Andrade <pcpa@mandriva.com.br> 7.9-2mdv2011.0
+ Revision: 599080
- Add back patch to correct X Server crash in the salome package
  CCBUG: 59084

* Wed Oct 06 2010 Thierry Vignaud <tv@mandriva.org> 7.9-1mdv2011.0
+ Revision: 583170
- BuildRequires:  libxml2-python
- BuildRequires:  talloc-devel
- new release
- rediff patch 201
- drop merged patches (202 302 904 905)
- mesa-demos was split out
- bump BR on libdrm
  (we should probably have a versioned require on the binary RPM too...)

  + Paulo Ricardo Zanoni <pzanoni@mandriva.com>
    - New version: 7.8.2

* Mon Jun 21 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 7.8.1-6mdv2010.1
+ Revision: 548491
- Add patch to fix an intel bug (affects glknots and other apps)

* Mon May 17 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 7.8.1-5mdv2010.1
+ Revision: 545055
- Make invesalius work again (#59269)
  CCBUG 59269

* Tue May 11 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 7.8.1-4mdv2010.1
+ Revision: 544529
+ rebuild (emptylog)

* Mon May 10 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 7.8.1-3mdv2010.1
+ Revision: 544433
- Sync with mesa 7.8 branch
- Add patch to work around an Intel crash
  CCBUG: 59084

* Thu Apr 29 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 7.8.1-2mdv2010.1
+ Revision: 540853
- Add patch that should fix bug #58580

* Mon Apr 05 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 7.8.1-1mdv2010.1
+ Revision: 531894
- New version: 7.8.1

* Mon Mar 29 2010 Anssi Hannula <anssi@mandriva.org> 7.8-1mdv2010.1
+ Revision: 528705
- new version 7.8
- remove patches applied in upstream release

* Thu Mar 25 2010 Anssi Hannula <anssi@mandriva.org> 7.8-0.rc2.3mdv2010.1
+ Revision: 527416
- really apply patch added in last release

* Wed Mar 24 2010 Anssi Hannula <anssi@mandriva.org> 7.8-0.rc2.2mdv2010.1
+ Revision: 527232
- fix i945 miptree pitch disagreement (fixes mdv #58248, fd.o #26966,
  patch from mesa git master (da011faf48))

* Tue Mar 23 2010 Anssi Hannula <anssi@mandriva.org> 7.8-0.rc2.1mdv2010.1
+ Revision: 526943
- new release candidate 7.8-rc2
- bump buildrequires on libx11-devel, libxext-devel, libxxf86vm-devel,
  libxi-devel (Charles A Edwards)
- bump buildrequires on libdrm (due to nouveau changes)
- fix failing assertion in gl-117 and blender (upstream bug #27034, patch
  from 7.8 git branch)
- fix build of nouveau driver with current libdrm
  (renamed-NVxxTCL_TX_GEN-definitions.patch)

* Thu Mar 18 2010 Anssi Hannula <anssi@mandriva.org> 7.8-0.rc1.1mdv2010.1
+ Revision: 524757
- disable link-shared (libdricore.so) patch for now due to linking
  issues, as per fedora (our problems may be different than theirs,
  though)
- new release candidate 7.8 rc1
- enable nouveau driver, in lib(64)dri-drivers-experimental package
  (fixes #57884)
- remove fedora patches intel-revert-vbl-v1.1.patch,
  mesa-7.1-disable-intel-classic-warn-v1.3.patch, no longer applied by
  fedora
- remove now unneeded DRI-modules-are-not-under-usr-X11R6-anymore.patch
  and Fix-linux-dri-so-it-can-be-used-for-all-archs-thank.patch, both
  are handled by configure script now
- remove old disabled i965 memleak patch
- clean buildroot in the beginning of install stage
- update file lists
- rediff nukeglthread-debug.patch and link-shared.patch

* Tue Mar 16 2010 Anssi Hannula <anssi@mandriva.org> 7.7-5mdv2010.1
+ Revision: 521938
- remove -fno-strict-aliasing from ARCH_FLAGS, added upstream
- remove -fno-tree-vrp from ARCH_FLAGS, fixed in gcc 4.3+
- build with normal optimization (fd.o #10224, i.e. crashes on r200, is
  likely fixed in gcc during the last 3 years)
- remove RPM_OPT_FLAGS from ARCH_FLAGS, as mesa gets the flags from
  CFLAGS now
- split DRI drivers to unversioned lib(64)dri-drivers package
  (experimental ones will go to lib(64)dri-drivers-experimental when such
   drivers will be enabled at a later time)

* Wed Feb 03 2010 Thierry Vignaud <tv@mandriva.org> 7.7-4mdv2010.1
+ Revision: 499974
- move glinfo into glxinfo package too (prevent driconf and the like to require
  the big mesa-demos)

* Sun Jan 24 2010 Anssi Hannula <anssi@mandriva.org> 7.7-3mdv2010.1
+ Revision: 495514
- split glxinfo from mesa-demos into glxinfo package (mesa-demos will
  still pull it in)

* Wed Dec 23 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 7.7-2mdv2010.1
+ Revision: 481772
+ rebuild (emptylog)

* Tue Dec 22 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 7.7-1mdv2010.1
+ Revision: 481590
- New version: 7.7

* Wed Dec 16 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 7.6.1-0.rc4.1mdv2010.1
+ Revision: 479548
- New version: 7.6.1-rc4

* Mon Dec 14 2009 Thierry Vignaud <tv@mandriva.org> 7.6.1-0.rc3.2mdv2010.1
+ Revision: 478455
- enable r600 3D driver too

* Fri Dec 11 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 7.6.1-0.rc3.1mdv2010.1
+ Revision: 476544
- New version: 7.6.1-rc3
  Removed applied patches

  + Thierry Vignaud <tv@mandriva.org>
    - drop requires from mesa-demos on mesa (empty package but for docs)

* Mon Oct 05 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 7.5.2-2mdv2010.0
+ Revision: 454106
- Fix problems with r200 and r300 textures.

* Thu Oct 01 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 7.5.2-1mdv2010.0
+ Revision: 452203
- Update to mesa 7.5.2
  Remove patch 0200 (already included in this release)

* Mon Sep 28 2009 Thierry Vignaud <tv@mandriva.org> 7.6-0.1mdv2010.0
+ Revision: 450711
- fix URL

* Sun Sep 27 2009 Anssi Hannula <anssi@mandriva.org> 7.5.1-3mdv2010.0
+ Revision: 450137
- remove duplicate libdricore.so (it already exists in /usr/lib/dri/)

  + Olivier Blin <blino@mandriva.org>
    - merge mips changes (from Arnaud Patard)

* Thu Sep 17 2009 Colin Guthrie <cguthrie@mandriva.org> 7.5.1-1mdv2010.0
+ Revision: 443963
- Add build fix (cherry-picked from 7.5.2 branch)
- New version: 7.5.1
- Drop upstream patches
- Do not apply master cherry-pick for now until I can research the solution more

  + Guillaume <gc@mandriva.com>
    - bump release
    - add Requires: to workaround buggy pkg-config on mismet private dependencies

* Mon Aug 03 2009 Thierry Vignaud <tv@mandriva.org> 7.5-2mdv2010.0
+ Revision: 408410
- patch 201: upstream fix for black screen (eg: mplayer -vo gl with r300 card)

* Mon Jul 20 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 7.5-1mdv2010.0
+ Revision: 398194
- Update to version 7.5

* Sun Jul 05 2009 Colin Guthrie <cguthrie@mandriva.org> 7.5-0.rc4.2.git20090705.1mdv2010.0
+ Revision: 392644
- Disable parallel make as it causes issues with the shared dricore
- Update to the latest 7.5-branch which fixes issues for intel stuff in rc4.

* Tue Jun 30 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 7.5-0.rc4.1mdv2010.0
+ Revision: 391020
- update to 7.5 RC4
- drop patch 101 (applied upstream)

* Thu Jun 18 2009 Colin Guthrie <cguthrie@mandriva.org> 7.5-0.rc3.3mdv2010.0
+ Revision: 387186
- Add upstream patch for intel memory leak (fdo#20704)
- Remove upstream patch that causes problems with compiz (fdo#20704)

* Mon Jun 08 2009 Colin Guthrie <cguthrie@mandriva.org> 7.5-0.rc3.2mdv2010.0
+ Revision: 383856
- Actually apply the patches I added in the last release (*sigh*)

* Sat Jun 06 2009 Colin Guthrie <cguthrie@mandriva.org> 7.5-0.rc3.1mdv2010.0
+ Revision: 383226
- Add upstream patch for memory leak and proposed patch from intel-gfx list
- Update to RC3

* Mon May 18 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 7.5-0.rc2.1mdv2010.0
+ Revision: 377047
- update to 7.5-rc2
- fix build failure
- update to 7.5-rc1
- drop patch 100 (applied upstream)

* Thu Apr 30 2009 Colin Guthrie <cguthrie@mandriva.org> 7.4.1-1mdv2010.0
+ Revision: 369157
- New version: 7.4.1
- Break egl support (it was disabled anyway)

* Thu Jan 22 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 7.3-1mdv2009.1
+ Revision: 332631
- New version: 7.3

* Fri Jan 16 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 7.3-0.20090116.1mdv2009.1
+ Revision: 330321
- Update to git tag mesa_7_3_rc2

* Sun Jan 11 2009 Christiaan Welvaart <spturtle@mandriva.org> 7.3-0.20081220.2mdv2009.1
+ Revision: 328265
- disable patch301 because it does not support r200

* Tue Dec 30 2008 Colin Guthrie <cguthrie@mandriva.org> 7.3-0.20081220.1mdv2009.1
+ Revision: 321330
- Update to recent git snapshot
- Liberate patches from Fedora
- Convert out patches to git for simpler management
- Drop unneeded patches

* Tue Dec 02 2008 Colin Guthrie <cguthrie@mandriva.org> 7.2-1.20081001.2mdv2009.1
+ Revision: 308947
- Build swrast after the others.. note to self: *test* after making last minute changes
- Build swrast driver explicitly

* Sat Nov 29 2008 Colin Guthrie <cguthrie@mandriva.org> 7.2-1.20081001.1mdv2009.1
+ Revision: 307986
- Update mesa to post-7.2 snapshot (as used by fedora)
- Adapt some patches
- Liberate some fedora patches

* Fri Aug 22 2008 Ander Conselvan de Oliveira <ander@mandriva.com> 7.0.4-1mdv2009.0
+ Revision: 275210
- Disables i915tex dri driver.
- Update to version 7.0.4

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Make libmesagl owner of  %%{_prefix}/lib/dri on x86_64 (32 bit binaries).

* Fri May 09 2008 Lev Givon <lev@mandriva.org> 7.0.3-2mdv2009.0
+ Revision: 205304
- Add arch-independent provides to library packages.

* Mon Apr 14 2008 Paulo Andrade <pcpa@mandriva.com.br> 7.0.3-1mdv2009.0
+ Revision: 193181
- Update to version 7.0.3.
  Also use gccmakedep instead of makedepend by default, but make it
  configurable. This should remove more than half of the compile warnings,
  due to makedepend not finding several dependencies.

* Mon Mar 10 2008 Paulo Andrade <pcpa@mandriva.com.br> 7.0.2-5mdv2008.1
+ Revision: 183783
- Actually add patches to update documentation, version (7.0.3 rc 2), and
  add two files not available in the "official" 7.0.2 tarball.

* Mon Mar 10 2008 Paulo Andrade <pcpa@mandriva.com.br> 7.0.2-4mdv2008.1
+ Revision: 183716
- Add bug fixes from mesa stable branch. Basically:
    git format-patch mesa_7_0_2..origin/mesa_7_0_branch
  but did not add patches that are not bug fixes, so this should be very
  close to mesa 7.0.3 rc2 without the documentation updates.
  This also has the side effect of "automatically" enabling fortran
  support, that has been asked by a user.

* Tue Jan 15 2008 Paulo Andrade <pcpa@mandriva.com.br> 7.0.2-3mdv2008.1
+ Revision: 153289
- Update BuildRequires.
  Needs to add xgixp and nouveau dri modules.
  Mesa 7.0.3 is expected to be released in 1 to 2 weeks, so no more changes
  to package should be done until the next release.

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - stop packaging obsolete RELNOTES-[34].*

* Mon Nov 12 2007 Thierry Vignaud <tv@mandriva.org> 7.0.2-2mdv2008.1
+ Revision: 108238
- patch 60: fix build
- new release
- kill patches 44, 46, 47, 100, 101, 102 & 103 (merged upstream)
- make it --short-circuit-able

* Wed Oct 24 2007 Thierry Vignaud <tv@mandriva.org> 7.0.1-12mdv2008.1
+ Revision: 101784
- kill patch 6, now unneeded (added in 6.5-8mdv2007.0, sent by Sebastien savari):
  "static inline functions are broken on some architetures"
- remove patch 9 (fix compiling on x86_64) that I introduced in 6.5-8mdv2007.0
  since it's now unneeded

* Wed Oct 24 2007 Thierry Vignaud <tv@mandriva.org> 7.0.1-11mdv2008.1
+ Revision: 101769
- compile with -O1 since it fixes some freeze on r200 (fd.o bug #10224)
- remove suspicious patch 7 (added by boiko in 6.5-8mdv2007.0, sent by Sebastien
  savari): "in some cases radeon may have 0 bits depth"

* Tue Oct 02 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 7.0.1-10mdv2008.0
+ Revision: 94821
- adding one more patch from claudio as a fix for #34090
  (metisse/neverball crashes on mesa). It's an obvious
  fix for a crash that happens after the previous
  workaround (we now hit what appears to be an
  unrelated bug).

* Tue Oct 02 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 7.0.1-9mdv2008.0
+ Revision: 94680
- adding patch from claudio to workaround bug #34090
  (metisse/neverball crash).  It just avoids the crash until
  we have the real fix, but it's a safe workaround.

* Tue Sep 18 2007 Guillaume Rousse <guillomovitch@mandriva.org> 7.0.1-8mdv2008.0
+ Revision: 89928
- rebuild

* Tue Sep 18 2007 Anssi Hannula <anssi@mandriva.org> 7.0.1-7mdv2008.0
+ Revision: 89724
- rebuild due to package loss

* Tue Sep 04 2007 Olivier Blin <blino@mandriva.org> 7.0.1-6mdv2008.0
+ Revision: 79234
- mention OpenGL 2.1 support in description and summary (from JLP, #33115)

* Fri Aug 31 2007 Olivier Blin <blino@mandriva.org> 7.0.1-5mdv2008.0
+ Revision: 76766
- restore gcc options, wrongly modified in commit 69003

* Sun Aug 26 2007 Anssi Hannula <anssi@mandriva.org> 7.0.1-4mdv2008.0
+ Revision: 71693
- remove GL.conf alternative, moved to x11-server-common

* Wed Aug 22 2007 Olivier Blin <blino@mandriva.org> 7.0.1-3mdv2008.0
+ Revision: 69061
- fix glxinfo segfault with unichrome DRI (reported as upstream bug 12097)
- fix potential NULL dereference in unichrome (freedesktop bug 11879)

* Tue Aug 07 2007 Olivier Blin <blino@mandriva.org> 7.0.1-2mdv2008.0
+ Revision: 59955
- add support for Intel 965GME/GLE (from upstream git)
- add support for Intel G33, Q33, and Q35 chipsets (from upstream git)
- add support for Intel 945GME (from upstream git)
- build with -fno-tree-vrp to fix r300 misrenderings/freezes
- re-enable parallel build

* Mon Aug 06 2007 Thierry Vignaud <tv@mandriva.org> 7.0.1-1mdv2008.0
+ Revision: 59341
- new release

* Tue Jun 26 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 7.0-1mdv2008.0
+ Revision: 44280
- New upstream release: 7.0
- Redid patches linux-dri-config and radeon-0depthbits
- Removed patch: google_earth: there is a DRI runtime config option to configure
  the fallback checking.

* Thu Jun 07 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 6.5.3-2mdv2008.0
+ Revision: 36911
- rebuild for expat

* Fri May 04 2007 Colin Guthrie <cguthrie@mandriva.org> 6.5.3-1mdv2008.0
+ Revision: 22173
- Enable i915tex driver (needs new drm/kernel bits to activate)

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - New upstream release: 6.5.3

* Tue Apr 17 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 6.5.2-8mdv2008.0
+ Revision: 13910
- Fix some texture data corruption

